# Generated by Django 3.2.2 on 2021-06-14 15:47

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
from django.db.models import Q

def create_group(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    agent_group, p = Group.objects.get_or_create(name="Agente Iclass")
    admin_group, p = Group.objects.get_or_create(name="Administrador Iclass")

    for permission in Permission.objects.filter(content_type__app_label='iclass'):
        agent_group.permissions.add(permission)

def delete_group(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')

    try:
        Group.objects.filter(name="Agente Iclass").delete()
        Group.objects.filter(name="Administrador Iclass").delete()
    except:
        pass

class Migration(migrations.Migration):

    dependencies = [
        ('iclass', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_group, delete_group)
    ]
